package com.codegeist.fisheye.domain.query;

import org.junit.Test;

public class AfterTagRestrictionTest extends AbstractRestrictionTest {
	
	@Test(expected=IllegalArgumentException.class)
	public void testWithNullTag() throws Exception {
		new AfterTagRestriction(null);
	}
	
	@Test
	public void testTag() throws Exception {
		checkEyeQl("after tag tagName", new AfterTagRestriction("tagName"));
	}
	
	@Test(expected=IllegalArgumentException.class)
	public void testTagWithSpaces() throws Exception {
		generateEyeQl(new AfterTagRestriction("tag name"));
	}
}
