package com.codegeist.fisheye.domain.query;

public class LatestOnRestriction implements Restriction {

	private final String branch;

	public LatestOnRestriction() {
		this(null);
	}

	public LatestOnRestriction(String branch) {
		this.branch = branch;
	}
	
	
	public StringBuilder appendEyeQlFragment(StringBuilder buffer) {
		buffer.append(" is head");
		if (branch != null) {
			buffer.append(" on ");
			buffer.append(branch);
		}
		return buffer;
	}
}
